#include <stdio.h>
#include <stdlib.h>

int doubler(int *xp, int *result);


int 
doubler(int *xp, int *result)
{
  if (xp != '\0')  //&& result != '\0'
    {
      *result = (*xp)*2;
      
      return 0;
    }
  else
    {
      return 1;
    }
}


int main (){
  int x = 55;
  int *xp = &x;
  
  int y;
  int *result = &y;
  
  
  if(doubler(xp, result)){  ///don't really know what to do here 
    printf("FAIL\n");
  }else{
    printf("PASS\n");
    printf("Result of doubling: %d\n",*result);
  }
}

  
